# tcp_game.cpp File Reference

Basic functions to receive and send TCP packets for game purposes. More...

`#include "../../stdafx.h"`
`#include "../network.h"`
`#include "../network_internal.h"`
`#include "../../core/pool_func.hpp"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
| assert_compile (MAX_CLIENT_SLOTS > MAX_CLIENTS)
| Make very sure the preconditions given in network_type.h are actually followed.
| assert_compile (NetworkClientSocketPool::MAX_SIZE==MAX_CLIENT_SLOTS)
## Variables
NetworkClientSocketPool | _networkclientsocket_pool ("NetworkClientSocket")

## Detailed Description

Basic functions to receive and send TCP packets for game purposes.

Definition in file tcp_game.cpp.